
import request from '@/utils/request'
// 直播课程-课程
export const zbkc_list = (data = {}) => {
    return request({
        url: "/txwx/zbkc/index",
        data,
    });
} 
// 直播课程-课程详情
export const zbkc_detail = (data = {}) => {
    return request({
        url: "/txwx/zbkc/detail",
        data,
    });
} 
// 直播课程-课时
export const zbkc_ks_list = (data = {}) => {
    return request({
        url: "/txwx/zbkc_ks/index",
        data,
    });
} 
// 直播课程-课时详情
export const zbkc_ks_detail = (data = {}) => {
    return request({
        url: "/txwx/zbkc_ks/detail",
        data,
    });
}

// 名师资源-课程
export const mszy_list = (data = {}) => {
  return request({
    url: "/txwx/mszy_kc/index",
    data,
  });
}; 
// 名师资源-课程详情
export const mszy_detail = (data = {}) => {
    return request({
        url: "/txwx/mszy_kc/detail",
        data,
    });
}
// 名师资源-课时
export const mszy_ks_list = (data = {}) => {
  return request({
    url: "/txwx/mszy_zj/index",
    data,
  });
}; 
// 名师资源-课时详情
export const mszy_ks_detail = (data = {}) => {
  return request({
    url: "/txwx/mszy_zj/detail",
    data,
  });
}; 
//数据字典
export const sjzd_list = (data = {}) => {
  return request({
    url: '/common/sjzd/option',
    data,
  })
}
export const grade_list = (data = {}) => {
  return request({
    url: "/txwx/jcxxgl_zyflgl_nj/index",
    data,
  });
};
export const subject_list = (data = {}) => {
  return request({
    url: "/txwx/jcxxgl_zyflgl_xk/index",
    data,
  });
};
//试题列表
export const shiti_list = (data = {}) => {
  return request({
    url: "/txwx/question/index",
    data,
  });
};